= tlsrpt_add_mx_host_pattern(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_add_mx_host_pattern
:mansource: tlsrpt_add_mx_host_pattern
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_add_mx_host_pattern - adds a MX host pattern to the current policy

== Synopsis

#include <tlsrpt.h>

int tlsrpt_add_mx_host_pattern(struct tlsrpt_dr_t* dr, const char* mx_host_pattern)

== Description

The `tlsrpt_add_mx_host_pattern` function adds a MX host pattern to the current policy.
Multiple MX host patterns can be added within a policy.


== Return value

The tlsrpt_add_mx_host_pattern function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]






